<?php
namespace Mirasvit\SeoMarkup\Block\Twitter\Card;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Block\Twitter\Card
 */
class Interceptor extends \Mirasvit\SeoMarkup\Block\Twitter\Card implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoMarkup\Model\Config\TwitterConfig $twitterConfig, \Magento\Framework\Registry $registry, \Magento\Theme\Block\Html\Header\Logo $logo, \Magento\Catalog\Helper\Image $imageHelper, \Mirasvit\SeoMarkup\Model\Config\CategoryConfig $categoryConfig, \Mirasvit\Seo\Api\Service\StateServiceInterface $stateService, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($twitterConfig, $registry, $logo, $imageHelper, $categoryConfig, $stateService, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getImage() : ?string
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getImage');
        return $pluginInfo ? $this->___callPlugins('getImage', func_get_args(), $pluginInfo) : parent::getImage();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
